Herald
OpenapiAuth

Confirm password reset with verification code

Completes password reset process using verification code sent to user's email.

POST
/api/auth/{realmId}/reset_password/confirm/{resetCode}

Completes password reset process using verification code sent to user's email.

Path Parameters

realmId*string

Realm ID

resetCode*string

Reset password code

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

newPass*string
turnstileToken?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/string/reset_password/confirm/string" \  -H "Content-Type: application/json" \  -d '{    "newPass": "string"  }'
{  "message": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}